#ifndef MEMORY_H
#define MEMORY_H


#include "os.h"


#ifdef MEMORY_CHECK_ENABLED
#define MEMWATCH
#include "thirdparty/memwatch/memwatch.h"
#endif


FILE *memoryLogHandleGet(void);
void  memoryShutdown(void);
void  memoryStartup(char *appName);


#endif // MEMORY_H
